Name:           camstream
Version:        0.26.3
Release:        19%{?dist}

Summary:        Set of programs to make use of your webcam

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.smcc.demon.nl/camstream/
Source0:        http://www.smcc.demon.nl/camstream/download/camstream-0.26.3.tar.gz
Source1:        camstream.desktop
Source2:        camstream.png
Patch0:         camstream-makefiles.patch
Patch1:         camstream-0.26.3-linkage.patch
Patch2:         camstream-0.26.3-x86_64-asm.patch
Patch3:         camstream-0.26.3-libv4l.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel, autoconf, desktop-file-utils, libv4l-devel, kernel-headers
ExclusiveArch:  %{ix86} x86_64 

%description
CamStream is (going to be) a collection of tools for webcams and other
video-devices, enhancing your Linux system with multimedia video.
All written in C++ and with a nice GUI frontend. The interface
is based on Qt, an excellent GUI framework.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch x86_64
%patch2 -p1
%endif
%patch3 -p1


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

# Use our homebrew CPU flags for sane builds.
%ifarch %{ix86}
export HAVE_IX86=1
# Disable MMX for now. Otherwise, package fails to build.
#%%ifarch i686 athlon
#export HAVE_MMX=1
#%%endif
%endif

# Do autoconfs due to patch0 and to nuke old autoconf 2.13 stuff in lib/ccvt.
# Build lib/ccvt separately (needs gcc while other stuff needs g++).
pushd lib/ccvt
autoconf
%configure
make %{?_smp_mflags}
popd

pushd camstream
autoconf
popd

export CC=g++
%configure
make all %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -d -p -m 755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/camstream.png
install -m 755 camstream/ftpput $RPM_BUILD_ROOT%{_bindir}
install -m 755 camstream/caminfo $RPM_BUILD_ROOT%{_bindir}
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --mode 644 \
  --add-category X-Fedora \
  --add-category X-AudioVideoCapture \
  --add-category X-Streamer \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/*
%{_bindir}/*
%{_datadir}/camstream
%{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.26.3-19
- Workaround for build failure: Don't enable MMX on i686 and athlon for now

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.26.3-18
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> - 0.26.3-15
- Fix FTBFS (bug 434345)
- Patch to use libv4l for support for more webcams

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.26.3-14
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.26.3-13
- Autorebuild for GCC 4.3

* Mon Aug 13 2007 Simon Perreault <nomis80@nomis80.org> - 0.26.3-12
- Removed erroneous category from desktop file.

* Sun Dec 24 2006 Simon Perreault <nomis80@nomis80.org> - 0.26.3-11
- Fixed linkage patch for i386.

* Sun Dec 24 2006 Simon Perreault <nomis80@nomis80.org> - 0.26.3-10
- Fixed dependency on kernel include <linux/linkage.h>.

* Sat Mar 11 2006 Simon Perreault <nomis80@nomis80.org> - 0.26.3-9
- Taking ownership of package.
- Fixed build dependencies (#178654).

* Wed May 25 2005 Colin Charles <colin@fedoraproject.org> - 0.26.3-8
- remove ppc (ExclusiveArch x86/x86_64), as there's x86 assembly in video_asm.S that would require porting (#158652)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.26.3-7
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Jan 29 2005 Thorsten Leemhuis <fedora@leemhuis.info> 0:0.26.3-5
- Add x86_64 asm patch; Patch was created by gentoo, many thanks to them

* Mon Dec 29 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.4
- Upstream applied patch to ftpput.cc

* Tue Dec 09 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.3
- Including patch (ftpput.cc) originaly from M. Schwendt, modyfied to be applied on 0.26-3
- Including ftpput and caminfo

* Sun Dec 07 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.2
- removing obsolete depency on ImageMagik

* Thu Dec 04 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.3-0.fdr.1
- Update to 26.3 which Michael Schwendt`s included fix for ftpput.cc merged by
- upstream. Including desktop-icon.

* Thu Aug  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.26.2-0.fdr.4
- Add .desktop entry.
- Rework makefiles patch for correct install locations and CPU/optflags.
- Cosmetic specfile tweaks.

* Wed Aug 06 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.3
- Corrected permissions on sources

* Thu Aug 05 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.2
- More documentation included
- Using autoconf for ccvt
- Patched the Makefiles for ccvt and camstream to proper build in rpm-root

* Mon Aug 04 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.1
- Workaround for qt-devel included

* Mon Aug 04 2003 Andreas Pfaffeneder <fedora@zuhause-local.de> 0:0.26.2-0.fdr.0
- Initial Fedora-RPM release.


